% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mergevjgene.R
\name{meltgene}
\alias{meltgene}
\title{List of IMGT V and J genes}
\usage{
meltgene(data, ..., variable.name = "Gene_Type", value.name = "Gene_Name")
}
\arguments{
\item{data}{a set from the IMGT/HighV-QUEST output}

\item{...}{further arguments passed to or from other methods}

\item{variable.name}{name of variable used to store measured variable names, by default "Gene_Type"}

\item{value.name}{name of variable used to store values, by default "Gene_Name"}
}
\value{
New matrix with 4 columns: "expid" (Experimental ID), "total" (Total nb of `1 copy` and `More than one`), "Gene_Type" (V D or J genes), "Gene_Name" (Gene names).
}
\description{
This function allows the creation of a new matrix grouping the columns vgene, dgene and jgene in one column with their identifier (ID).
}
\details{
This function must be applied for the two sets from the IMGT/HighV-QUEST output to be compared. It is based on the function melt of the package reshape2.
}
\examples{
\donttest{
set1<-meltgene(MID1)
set2<-meltgene(MID2)
}
}
\references{
Wickham H. (2007) Reshaping Data with the reshape Package. Journal of Statistical Software, 21(12), 1-20. \url{http://www.jstatsoft.org/v21/i12/}
}
